<?php
header('Content-Type: application/json;charset= utf-8');
require("dbinfo.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
mysqli_set_charset($con,"utf8");


if($_REQUEST['lat']){$lat = $_REQUEST['lat'];}
if($_REQUEST['lon']){$lon = $_REQUEST['lon'];}


$res = array();



$geometria_punto = "GEOMFROMTEXT('POINT(" . $lon . " " . $lat . ")')";

$sql = "SELECT ASTEXT(SHAPE) as geom, id, iddan, nombre, clasificacion, tipo, construido, anoproy, descripcion FROM adm_proyectos WHERE activo = 1 AND INTERSECTS(SHAPE," . $geometria_punto . ") ORDER BY id ASC";
$resultado = mysqli_query($con,$sql);
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
            $elem = array(
                'geom'=>$row["geom"],
                'id'=>$row["id"],
                'iddan'=>$row["iddan"],
                'nombre'=>$row["nombre"],
                'clasificacion'=>$row["clasificacion"],
                'tipo'=>$row["tipo"],
                'construido'=>$row["construido"],
                'anoproy'=>$row["anoproy"],
                'descripcion'=>$row["descripcion"]

            );
            array_push($res,$elem);
		}
}
}

mysqli_close($con);
echo json_encode($res);
?>



